# Command: Total

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    Total - returns the sum of the elements of an array

Synopsis:

      array Total -> sum of elements

Examples:

      [8 4 3 6 9 5] Total --> 35

Description:

      The function is implemented in SLI and based on the
      overloaded operator add.

Parameters:

      array

Remarks:

      The Mathematica version is more general.
      Replacess arr::Sum in future versions.

References:

      [1] The Mathematica Book "Total"

Author:

    Diesmann

FirstVersion:

    2009.2.22

SeeAlso:

- Max
- Sort
- Mean
- Variance

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative